# PaymentProductFieldDisplayHints class

Represents a PaymentProductFieldDisplayHints object.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

PaymentProductFieldDisplayHints(bool alwaysShow, bool obfuscate, int displayOrder, String? label, String placeholderLabel, String? link, String? mask, PreferredInputType? preferredInputType, Tooltip? tooltip, FormElement? formElement)
PaymentProductFieldDisplayHints.empty({bool alwaysShow = false, bool obfuscate = false, int displayOrder = 0, String? label = "", String placeholderLabel = "", String? link = "", String? mask = "", PreferredInputType? preferredInputType, Tooltip? tooltip, FormElement? formElement})
  const
PaymentProductFieldDisplayHints.fromJson(Map<String, dynamic> json)
  factory

## Properties

alwaysShow → bool
  final
displayOrder → int
  final
formElement → FormElement?
  final
hashCode → int
  The hash code for this object.
  read-only inherited
label → String?
  final
link → String?
  final
mask → String?
  final
obfuscate → bool
  final
placeholderLabel → String
  final
preferredInputType → PreferredInputType?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
tooltip → Tooltip?
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited